# Existing Donor Records

To access the “Existing Donor Records Screen,” select it from the “VSS Donations Menu Bar” dropdown list.

1. Once selected, the “Search for Donor Screen” appears.

2. From this screen, the user will look for an existing Donor through the Search option.

3. If the system identifies a match, the user is presented with the results list containing the following information (Individual):

### Search for Donor Records- Individual

Data Fields in the Search for Donor Screen (Individual)

· Name

· City

· Email

· State

· Phone

· Zip

o Name

o Donor Is Volunteer flag (Filterable)

§ Filters default to “All” until a selection is made

o Contact Information

o Address, City, State, Zip

o Last Donation Facility [Name (#)] (Filterable)

o Last Donation Date (Filterable)

o Last Donation Type

o Last Donation Amount

· Search

· Open Search Box

o The user can also conduct a Search within the list of results from this screen.

· If there is more than one entry a message will appear above the data grid field (Example: Showing 1 of 2 entries).

- Shows the number of entries per page

- Shows advance pages (First, Previous, Next, & Last)

Once the Donor is matched, the user clicks on the name and is taken to the “Edit Donor Screen” where the information is pre-populated.

### Search for Donor Records- Organization

Data Fields in the Search for Donor Screen (Organization)

· Name (Filterable)

· Facility (Filterable)

· Contact Name

· Contact Info

· Last Donation Facility (Filterable)

· Last Donation Date (Filterable)

- Last Donation Type

- Last Donation Amount

If the system identifies a match for the Donor, the user is presented with the results list. If there is a Donor that does not have any Donations, the user must search using a “Donated At: ANY Facility in order to find him. This is needed since the facility information is associated with the Donation instead of the Donor. The screen for Organization contains the following information:

- Local Branch(s), if applicable

· Organization’s Facility (National or Local)

· Contact Name

· Contact Information

· Address, City, State Zip

· Email

· Phone

· Last Donation Facility [Name (#)]

· Last Donation Date

· Last Donation Type

· Last Donation Amount